- Qt 5.5
- Qt NFC
- C++ Classes
- QNearFieldShareTarget
- Qt 5.5.1 Reference Documentation

# QNearFieldShareTarget Class

The QNearFieldShareTarget class transfers data to remote device over NFC. More...

Header: | #include <QNearFieldShareTarget>
qmake: | QT += nfc
Since: | Qt 5.3
Inherits: |

- List of all members, including inherited members

## Public Functions

| ~QNearFieldShareTarget()
void | cancel()
bool | isShareInProgress() const
bool | share(const QNdefMessage & message)
bool | share(const QList<QFileInfo> & files)
QNearFieldShareManager::ShareError | shareError() const
QNearFieldShareManager::ShareModes | shareModes() const

## Signals

void | error(QNearFieldShareManager::ShareError error)
void | shareFinished()

## Detailed Description

The QNearFieldShareTarget class transfers data to remote device over NFC.

The QNearFieldShareTarget class can be used for sharing NDEF message or files to a remote NFC enabled device supporting the same protocol.

See also QNearFieldShareManager.

## Member Function Documentation

### QNearFieldShareTarget::~QNearFieldShareTarget()

Destroys the near field share target.

### void QNearFieldShareTarget::cancel()

Cancel the data or file sharing in progress.

### `[signal]` void QNearFieldShareTarget::error(QNearFieldShareManager::ShareError error)

This signal is emitted whenever an error occurs during transfer.

### bool QNearFieldShareTarget::isShareInProgress() const

Returns true if data or file sharing is in progress, otherwise returns false.

### bool QNearFieldShareTarget::share(const QNdefMessage & message)

Share the NDEF message via the share target. This method starts sharing asynchronously and returns immediately. The method returns true if the request is accepted, otherwise returns false. Sharing is completed when the shareFinished() signal is emitted.

### bool QNearFieldShareTarget::share(const QList<QFileInfo> & files)

Share the files via the share target. This method starts sharing asynchronously and returns immediately. The method returns true if the request is accepted, otherwise returns false. Sharing is completed when the shareFinished() signal is emitted.

### QNearFieldShareManager::ShareError QNearFieldShareTarget::shareError() const

Returns the error code of the error that occurred.

### `[signal]` void QNearFieldShareTarget::shareFinished()

This signal is emitted whenever a data or file transfer has completed successfully.

### QNearFieldShareManager::ShareModes QNearFieldShareTarget::shareModes() const

Returns the share mode supported by the share target.